Merchant Center পরিষেবার শর্তাবলী সংক্রান্ত চুক্তি ম্যানেজ করা

Merchant Center এবং এর ফিচার ব্যবহার করতে, আপনার ব্যবসার লোকেশনের জন্য আপনাকে অবশ্যই Merchant Center পরিষেবার শর্তাবলী (ToS) মেনে নিতে হবে। এইসব চুক্তিতে Merchant Center পরিষেবা ব্যবহার করার আইনি শর্তাবলী উল্লেখ করা থাকে।

এই নির্দেশিকা থেকে আপনি জানতে পারবেন যে কীভাবে Merchant API ব্যবহার করে এইসব চুক্তি ম্যানেজ করতে পারবেন, তা আপনার নিজের অ্যাকাউন্ট হোক বা থার্ড-পার্টি প্রদানকারী (3P) হিসেবে আপনার ম্যানেজ করা অ্যাকাউন্ট হোক।

আপনি নিম্নলিখিতগুলি করতে পারবেন:

  • কোনও অ্যাকাউন্টের জন্য বর্তমান ToS চুক্তির স্ট্যাটাস চেক করুন।
  • প্রয়োজনীয় ToS গ্রহণ করার জন্য মার্চেন্টদের গাইড করুন।
  • ক্লায়েন্ট অ্যাকাউন্টের জন্য পরিষেবা প্রদানকারী হিসেবে ToS ম্যানেজ করুন।

পূর্বশর্ত

Merchant API ব্যবহার করতে আপনার একটি Merchant Center অ্যাকাউন্ট থাকতে হবে। Merchant Center ইউজার ইন্টারফেস (UI) ব্যবহার করে এটি তৈরি করার পরে, আপনি UI বা API ব্যবহার করে অ্যাকাউন্টে পরিবর্তন করতে পারবেন (যেমন, আপনার ব্যবসার তথ্য আপডেট করা, ব্যবহারকারীদের ম্যানেজ করা ইত্যাদি)।

আপনাকে একাধিক অ্যাকাউন্ট ম্যানেজ করতে হলে, Merchant API ব্যবহার করে ক্লায়েন্ট অ্যাকাউন্ট তৈরি করতে পারবেন। অ্যাকাউন্ট তৈরি করুন দেখুন।

অ্যাকাউন্টের ToS চুক্তির স্ট্যাটাস চেক করুন

কোনও মার্চেন্ট Merchant Center-এর সম্পূর্ণ সুবিধা ব্যবহার করার আগে অথবা আপনাকে তার বর্তমান চুক্তির স্ট্যাটাস যাচাই করতে হলে, আপনি তার পরিষেবার শর্তাবলী চুক্তির স্ট্যাটাস ফিরিয়ে আনতে পারবেন।

মূল Merchant Center অ্যাপ্লিকেশনের জন্য ToS চুক্তির স্ট্যাটাস পেতে termsOfServiceAgreementStates.retrieveForApplication পদ্ধতি ব্যবহার করুন। এই পদ্ধতি আপনার বর্তমান ToS, যদি থাকে, এবং, আপনি শেষবার সম্মতি জানানোর পর থেকে ToS আপডেট করা হলে, আপনাকে সম্মতি জানাতে হবে এমন লেটেস্ট ভার্সন ফিরিয়ে দেয়।

এখানে একটি স্যাম্পেল অনুরোধ দেওয়া হল:

GET https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/termsOfServiceAgreementStates:retrieveForApplication

কল সফল হলে, একটি TermsOfServiceAgreementState রিসোর্স রিটার্ন করে। এই রিসোর্সে রয়েছে:

  • name: এই চুক্তির স্ট্যাটাসের জন্য শনাক্তকারী।
  • regionCode: এই চুক্তির শর্তাবলী যে দেশের ক্ষেত্রে প্রযোজ্য, সাধারণত অ্যাকাউন্টের ব্যবসা যে দেশে অবস্থিত।
  • termsOfServiceKind: এটি MERCHANT_CENTER হবে।
  • accepted: অ্যাকাউন্টটি আগে থেকেই যে ToS ভার্সন গ্রহণ করেছে তার বিবরণ, যার মধ্যে termsOfService রিসোর্সের নাম (যেমন, termsOfService/132) এবং এটি কার দ্বারা acceptedBy করা হয়েছে তা অন্তর্ভুক্ত। এছাড়াও, নতুন ToS ভার্সন required হলে, এতে validUntil তারিখ অন্তর্ভুক্ত থাকতে পারে।
  • required: ToS-এর ভার্সন সম্পর্কে বিবরণ যা অ্যাকাউন্টকে অবশ্যই গ্রহণ করতে হবে। এর মধ্যে termsOfService রিসোর্সের নাম এবং মানুষের-পঠনযোগ্য ToS ডকুমেন্টের দিকে নির্দেশ করা tosFileUri অন্তর্ভুক্ত।

উদাহরণস্বরূপ উত্তর:

{
  "name": "accounts/{ACCOUNT_ID}/termsOfServiceAgreementStates/MERCHANT_CENTER-{REGION_CODE}",
  "regionCode": "{REGION_CODE}",
  "termsOfServiceKind": "MERCHANT_CENTER",
  "accepted": {
    "termsOfService": "termsOfService/132",
    "acceptedBy": "accounts/{ACCOUNT_ID}"
  },
  "required": {
    "termsOfService": "termsOfService/132",
    "tosFileUri": "https://www.google.com/intl/{REGION_CODE}/policies/merchants/terms/"
  }
}

নতুন ToS required হলে, আপনি মার্চেন্টকে সেটি গ্রহণ করার জন্য গাইড করবেন।

নির্দিষ্ট অ্যাকাউন্ট ও দেশের জন্য পরিষেবার শর্তাবলী সংক্রান্ত চুক্তির স্ট্যাটাস জানতে আপনি এই নমুনা ব্যবহার করতে পারেন:

Java

import com.google.api.gax.core.FixedCredentialsProvider;
import com.google.auth.oauth2.GoogleCredentials;
import com.google.shopping.merchant.accounts.v1.GetTermsOfServiceAgreementStateRequest;
import com.google.shopping.merchant.accounts.v1.TermsOfServiceAgreementState;
import com.google.shopping.merchant.accounts.v1.TermsOfServiceAgreementStateName;
import com.google.shopping.merchant.accounts.v1.TermsOfServiceAgreementStateServiceClient;
import com.google.shopping.merchant.accounts.v1.TermsOfServiceAgreementStateServiceSettings;
import shopping.merchant.samples.utils.Authenticator;
import shopping.merchant.samples.utils.Config;

/**
 * This class demonstrates how to get a TermsOfServiceAgreementState for a specific
 * TermsOfServiceKind and country.
 */
public class GetTermsOfServiceAgreementStateSample {

  public static void getTermsOfServiceAgreementState(Config config) throws Exception {

    // Obtains OAuth token based on the user's configuration.
    GoogleCredentials credential = new Authenticator().authenticate();

    // Creates service settings using the credentials retrieved above.
    TermsOfServiceAgreementStateServiceSettings termsOfServiceAgreementStateServiceSettings =
        TermsOfServiceAgreementStateServiceSettings.newBuilder()
            .setCredentialsProvider(FixedCredentialsProvider.create(credential))
            .build();

    // Creates TermsOfServiceAgreementState name to identify TermsOfServiceAgreementState.
    String name =
        TermsOfServiceAgreementStateName.newBuilder()
            .setAccount(config.getAccountId().toString())
            // The Identifier is: "{TermsOfServiceKind}-{country}"
            .setIdentifier("MERCHANT_CENTER-US")
            .build()
            .toString();

    System.out.println(name);

    // Calls the API and catches and prints any network failures/errors.
    try (TermsOfServiceAgreementStateServiceClient termsOfServiceAgreementStateServiceClient =
        TermsOfServiceAgreementStateServiceClient.create(
            termsOfServiceAgreementStateServiceSettings)) {

      // The name has the format:
      // accounts/{account}/termsOfServiceAgreementStates/{TermsOfServiceKind}-{country}
      GetTermsOfServiceAgreementStateRequest request =
          GetTermsOfServiceAgreementStateRequest.newBuilder().setName(name).build();

      System.out.println("Sending Get TermsOfServiceAgreementState request:");
      TermsOfServiceAgreementState response =
          termsOfServiceAgreementStateServiceClient.getTermsOfServiceAgreementState(request);

      System.out.println("Retrieved TermsOfServiceAgreementState below");
      // If the terms of service needs to be accepted, the "required" field will include the
      // specific version of the terms of service which needs to be accepted, alongside a link to
      // the terms of service itself.
      System.out.println(response);
    } catch (Exception e) {
      System.out.println(e);
    }
  }


  public static void main(String[] args) throws Exception {
    Config config = Config.load();

    getTermsOfServiceAgreementState(config);
  }
}

PHP

use Google\ApiCore\ApiException;
use Google\Shopping\Merchant\Accounts\V1\Client\TermsOfServiceAgreementStateServiceClient;
use Google\Shopping\Merchant\Accounts\V1\GetTermsOfServiceAgreementStateRequest;

/**
 * Demonstrates how to get a TermsOfServiceAgreementState.
 */
class GetTermsOfServiceAgreementState
{

    /**
     * Gets a TermsOfServiceAgreementState.
     *
     * @param array $config The configuration data.
     * @return void
     */
    public static function getTermsOfServiceAgreementState($config): void
    {
        // Get OAuth credentials.
        $credentials = Authentication::useServiceAccountOrTokenFile();

        // Create client options.
        $options = ['credentials' => $credentials];

        // Create a TermsOfServiceAgreementStateServiceClient.
        $termsOfServiceAgreementStateServiceClient = new TermsOfServiceAgreementStateServiceClient($options);

        // Service agreeement identifier
        $identifier = "MERCHANT_CENTER-US";

        // Create TermsOfServiceAgreementState name.
        $name = "accounts/" . $config['accountId'] . "/termsOfServiceAgreementStates/" . $identifier;

        print $name . PHP_EOL;

        try {
            // Prepare the request.
            $request = new GetTermsOfServiceAgreementStateRequest([
                'name' => $name,
            ]);

            print "Sending Get TermsOfServiceAgreementState request:" . PHP_EOL;
            $response = $termsOfServiceAgreementStateServiceClient->getTermsOfServiceAgreementState($request);

            print "Retrieved TermsOfServiceAgreementState below\n";
            print $response->serializeToJsonString() . PHP_EOL;
        } catch (ApiException $e) {
            print $e->getMessage();
        }
    }

    /**
     * Helper to execute the sample.
     *
     * @return void
     */
    public function callSample(): void
    {
        $config = Config::generateConfig();

        self::getTermsOfServiceAgreementState($config);
    }

}

// Run the script
$sample = new GetTermsOfServiceAgreementState();
$sample->callSample();

Python

from examples.authentication import configuration
from examples.authentication import generate_user_credentials
from google.shopping.merchant_accounts_v1 import GetTermsOfServiceAgreementStateRequest
from google.shopping.merchant_accounts_v1 import TermsOfServiceAgreementStateServiceClient

# Replace with your actual value.
_ACCOUNT_ID = configuration.Configuration().read_merchant_info()
_IDENTIFIER = "MERCHANT_CENTER-US"  # Replace with your identifier


def get_terms_of_service_agreement_state():
  """Gets a TermsOfServiceAgreementState for a specific TermsOfServiceKind and country."""

  credentials = generate_user_credentials.main()
  client = TermsOfServiceAgreementStateServiceClient(credentials=credentials)

  name = (
      "accounts/"
      + _ACCOUNT_ID
      + "/termsOfServiceAgreementStates/"
      + _IDENTIFIER
  )

  print(name)

  request = GetTermsOfServiceAgreementStateRequest(name=name)

  try:
    print("Sending Get TermsOfServiceAgreementState request:")
    response = client.get_terms_of_service_agreement_state(request=request)
    print("Retrieved TermsOfServiceAgreementState below")
    print(response)
  except RuntimeError as e:
    print(e)


if __name__ == "__main__":
  get_terms_of_service_agreement_state()

পরিষেবার শর্তাবলীতে সম্মতি দিন

Merchant Center ফিচারের অ্যাক্সেস বজায় রাখতে, মার্চেন্টদের লেটেস্ট পরিষেবার শর্তাবলীতে সম্মতি জানাতে হবে।

আপনার নিজের অ্যাকাউন্টের জন্য পরিষেবার শর্তাবলীতে সম্মতি দিন

আপনি নিজের Merchant Center অ্যাকাউন্ট ম্যানেজ করলে, নিম্নলিখিত ধাপগুলি অনুসরণ করুন:

  1. কোনও ToS required কিনা তা শনাক্ত করতে termsOfServiceAgreementStates.retrieveForApplication-এ কল করুন।
  2. ToS প্রয়োজন হলে, required ফিল্ড থেকে termsOfService নাম নোট করুন (যেমন, termsOfService/132)।
  3. পরিষেবার শর্তাবলীতে সম্মতি জানাতে termsOfService.accept-কে কল করুন। আপনার ToS নাম, আপনার ACCOUNT_ID এবং regionCode প্রয়োজন হবে যা retrieveForApplication-এর মাধ্যমে ফেরত পাঠানো হয়েছে।

    এখানে একটি স্যাম্পেল অনুরোধ দেওয়া হল:

    POST https://merchantapi.googleapis.com/accounts/v1/{name={termsOfService/VERSION}}:accept
    {
      "account": "accounts/{ACCOUNT_ID}",
      "regionCode": "{REGION_CODE}"
    }
    

    কল সফল হলে, রেসপন্স বডি খালি থাকে এবং অ্যাকাউন্টের ToS চুক্তির স্ট্যাটাস আপডেট হয়।

পরিষেবার শর্তাবলী (থার্ড-পার্টি পরিষেবা প্রদানকারীর জন্য) গ্রহণ করার জন্য মার্চেন্টদের গাইড করা

আপনি যদি থার্ড-পার্টি পরিষেবা প্রদানকারী (3P) হন এবং অন্য ব্যবসার জন্য Merchant Center অ্যাকাউন্ট ম্যানেজ করেন, তাহলে তাদের হয়ে পরিষেবার শর্তাবলীতে সম্মতি দেবেন না। পরিবর্তে, আপনাকে এগুলি করতে হবে:

  1. লেটেস্ট ToS ফিরিয়ে আনা: মার্চেন্টের regionCode এবং MERCHANT_CENTER ধরনের জন্য termsOfService.retrieveLatest কল করুন যাতে লেটেস্ট ToS ভার্সনের বিবরণ পাওয়া যায় যা তাদের গ্রহণ করতে হতে পারে।

    নমুনা অনুরোধ:

    GET https://merchantapi.googleapis.com/accounts/v1/termsOfService:retrieveLatest?regionCode={REGION_CODE}&kind=MERCHANT_CENTER
    

    নমুনা উত্তর:

    {
        "name": "{termsOfService/VERSION}",
        "regionCode": "{REGION_CODE}",
        "kind": "MERCHANT_CENTER",
        "fileUri": "https://www.google.com/intl/{REGION_CODE}/policies/merchants/terms/"
    }
    
  2. পরিষেবার শর্তাবলী দেখানো: আপনার অ্যাপ্লিকেশনের UI-এর মধ্যে মার্চেন্টকে পরিষেবার শর্তাবলীর সম্পূর্ণ টেক্সট দেখানোর জন্য রেসপন্স থেকে fileUri ব্যবহার করুন।

  3. মার্চেন্টের সম্মতি নেওয়া: মার্চেন্টকে আপনার UI-এর মধ্যে শর্তাবলীতে স্পষ্টভাবে সম্মতি জানাতে হবে।

  4. API ব্যবহার করে সম্মতি রেকর্ড করা: মার্চেন্ট সম্মতি দেওয়ার পরে, termsOfService.accept কল করুন। এর জন্য ১ নম্বর ধাপে পাওয়া ToS-এর name, মার্চেন্টের ACCOUNT_ID এবং তার regionCode ব্যবহার করুন।

    নমুনা অনুরোধ:

    POST https://merchantapi.googleapis.com/accounts/v1/{name={termsOfService/VERSION}}:accept
    {
      "account": "accounts/{MERCHANT_ACCOUNT_ID}",
      "regionCode": "{REGION_CODE}"
    }
    

এখানে একটি নমুনা দেওয়া হল যা আপনি কোনও নির্দিষ্ট অ্যাকাউন্টের জন্য পরিষেবার শর্তাবলী সংক্রান্ত চুক্তিতে সম্মতি জানাতে ব্যবহার করতে পারেন (মার্চেন্ট সম্মতি জানানোর পরে):

Java

import com.google.api.gax.core.FixedCredentialsProvider;
import com.google.auth.oauth2.GoogleCredentials;
import com.google.shopping.merchant.accounts.v1.AcceptTermsOfServiceRequest;
import com.google.shopping.merchant.accounts.v1.TermsOfServiceServiceClient;
import com.google.shopping.merchant.accounts.v1.TermsOfServiceServiceSettings;
import shopping.merchant.samples.utils.Authenticator;
import shopping.merchant.samples.utils.Config;

/** This class demonstrates how to accept the TermsOfService agreement in a given account. */
public class AcceptTermsOfServiceSample {

  public static void acceptTermsOfService(String accountId, String tosVersion, String regionCode)
      throws Exception {

    // Obtains OAuth token based on the user's configuration.
    GoogleCredentials credential = new Authenticator().authenticate();

    // Creates service settings using the credentials retrieved above.
    TermsOfServiceServiceSettings tosServiceSettings =
        TermsOfServiceServiceSettings.newBuilder()
            .setCredentialsProvider(FixedCredentialsProvider.create(credential))
            .build();

    // Calls the API and catches and prints any network failures/errors.
    try (TermsOfServiceServiceClient tosServiceClient =
        TermsOfServiceServiceClient.create(tosServiceSettings)) {

      // The parent has the format: accounts/{account}
      AcceptTermsOfServiceRequest request =
          AcceptTermsOfServiceRequest.newBuilder()
              .setName(String.format("termsOfService/%s", tosVersion))
              .setAccount(String.format("accounts/%s", accountId))
              .setRegionCode(regionCode)
              .build();

      System.out.println("Sending request to accept terms of service...");
      tosServiceClient.acceptTermsOfService(request);

      System.out.println("Successfully accepted terms of service.");
    } catch (Exception e) {
      System.out.println(e);
    }
  }

  public static void main(String[] args) throws Exception {
    Config config = Config.load();

    // See GetTermsOfServiceAgreementStateSample to understand how to check which version of the
    // terms of service needs to be accepted, if any.
    // Likewise, if you know that the terms of service needs to be accepted, you can also simply
    // call RetrieveLatestTermsOfService to get the latest version of the terms of service.
    // Region code is either a country when the ToS applies specifically to that country or 001 when
    // it applies globally.
    acceptTermsOfService(config.getAccountId().toString(), "VERSION_HERE", "REGION_CODE_HERE");
  }
}

PHP

use Google\ApiCore\ApiException;
use Google\Shopping\Merchant\Accounts\V1\AcceptTermsOfServiceRequest;
use Google\Shopping\Merchant\Accounts\V1\Client\TermsOfServiceServiceClient;

/**
 * Demonstrates how to accept the TermsOfService agreement in a given account.
 */
class AcceptTermsOfService
{

    /**
     * Accepts the Terms of Service agreement.
     *
     * @param string $accountId The account ID.
     * @param string $tosVersion The Terms of Service version.
     * @param string $regionCode The region code.
     * @return void
     */
    public static function acceptTermsOfService($accountId, $tosVersion, $regionCode): void
    {
        // Get OAuth credentials.
        $credentials = Authentication::useServiceAccountOrTokenFile();

        // Create client options.
        $options = ['credentials' => $credentials];

        // Create a TermsOfServiceServiceClient.
        $tosServiceClient = new TermsOfServiceServiceClient($options);

        try {
            // Prepare the request.
            $request = new AcceptTermsOfServiceRequest([
                'name' => sprintf("termsOfService/%s", $tosVersion),
                'account' => sprintf("accounts/%s", $accountId),
                'region_code' => $regionCode,
            ]);

            print "Sending request to accept terms of service...\n";
            $tosServiceClient->acceptTermsOfService($request);

            print "Successfully accepted terms of service.\n";
        } catch (ApiException $e) {
            print $e->getMessage();
        }
    }

    /**
     * Helper to execute the sample.
     *
     * @return void
     */
    public function callSample(): void
    {
        $config = Config::generateConfig();

        // Replace with actual values.
        $tosVersion = "132";
        $regionCode = "US";

        self::acceptTermsOfService($config['accountId'], $tosVersion, $regionCode);
    }
}

// Run the script
$sample = new AcceptTermsOfService();
$sample->callSample();

Python

from examples.authentication import configuration
from examples.authentication import generate_user_credentials
from google.shopping.merchant_accounts_v1 import AcceptTermsOfServiceRequest
from google.shopping.merchant_accounts_v1 import TermsOfServiceServiceClient

# Replace with your actual values.
_ACCOUNT_ID = configuration.Configuration().read_merchant_info()
_TOS_VERSION = (  # Replace with the Terms of Service version to accept
    "VERSION_HERE"
)
_REGION_CODE = "US"  # Replace with the region code


def accept_terms_of_service():
  """Accepts the Terms of Service agreement for a given account."""

  credentials = generate_user_credentials.main()
  client = TermsOfServiceServiceClient(credentials=credentials)

  # Construct the request
  request = AcceptTermsOfServiceRequest(
      name=f"termsOfService/{_TOS_VERSION}",
      account=f"accounts/{_ACCOUNT_ID}",
      region_code=_REGION_CODE,
  )

  try:
    print("Sending request to accept terms of service...")
    client.accept_terms_of_service(request=request)
    print("Successfully accepted terms of service.")
  except RuntimeError as e:
    print(e)


if __name__ == "__main__":
  accept_terms_of_service()

থার্ড-পার্টি পরিষেবা প্রদানকারীর জন্য বিশেষ বিবেচনা

থার্ড-পার্টি পরিষেবা প্রদানকারী হিসেবে আপনি ক্লায়েন্ট অ্যাকাউন্টের জন্য পরিষেবার শর্তাবলী ম্যানেজ করতে পারেন।

ক্লায়েন্ট অ্যাকাউন্টের জন্য পরিষেবার শর্তাবলী ম্যানেজ করা

আপনি যদি কোনও উন্নত অ্যাকাউন্ট পরিচালনা করেন এবং বিভিন্ন ব্যবসার জন্য ক্লায়েন্ট অ্যাকাউন্ট তৈরি করেন:

  • উন্নত অ্যাকাউন্টের সম্মতি: কোনও উন্নত অ্যাকাউন্ট যদি ক্লায়েন্ট অ্যাকাউন্টকে অ্যাকাউন্ট অ্যাগ্রিগেশন পরিষেবা প্রদান করে, তাহলে উন্নত অ্যাকাউন্টের সম্মতি দেওয়া পরিষেবার শর্তাবলী সেই পরিষেবার সাথে যুক্ত সব ক্লায়েন্ট অ্যাকাউন্টের ক্ষেত্রেও প্রযোজ্য হবে।
  • ডিসপ্লে ও সম্মতি: উন্নত অ্যাকাউন্টের সম্মতি ক্লায়েন্ট অ্যাকাউন্টের ক্ষেত্রে প্রযোজ্য হলেও, প্রতিটি ক্লায়েন্টের প্রকৃত ব্যবসার মালিককে প্রাসঙ্গিক Google Merchant Center পরিষেবার শর্তাবলী দেখানো একটি ভালো অভ্যাস (এবং এটি আইনি প্রত্যাশাও হতে পারে)। আপনাকে অবশ্যই তাদের স্পষ্ট সম্মতি নিতে হবে যে তারা এই শর্তাবলী বোঝে এবং তাতে সম্মত হয়, এমনকি যদি উন্নত অ্যাকাউন্ট লেভেলে সম্মতির জন্য API কল করা হয়।
  • ক্লায়েন্ট অ্যাকাউন্টের স্ট্যাটাস চেক করা: কোনও নির্দিষ্ট ক্লায়েন্ট অ্যাকাউন্টের ToS স্ট্যাটাস যাচাই করতে এবং এটি উন্নত অ্যাকাউন্টের চুক্তির আওতায় পড়ে কিনা বা কোনও সরাসরি অ্যাকশন নেওয়ার প্রয়োজন আছে কিনা তা দেখতে termsOfServiceAgreementStates.retrieveForApplication ব্যবহার করুন।

অন্যান্য অ্যাকাউন্টের জন্য ToS ম্যানেজ করুন

মার্চেন্টদের ToS-এ সম্মতি জানাতে গাইড করুন-এ বিস্তারিতভাবে যেমন বলা হয়েছে, আপনি যখন কোনও ব্যবসার নিজস্ব অ্যাকাউন্ট তৈরি বা ম্যানেজ করতে সাহায্য করেন, তখন সেই ব্যবসাকে (অ্যাকাউন্টের মালিক) ব্যক্তিগতভাবে পরিষেবার শর্তাবলীতে সম্মতি জানাতে হবে। আপনি ToS ফিরিয়ে এনে ও দেখিয়ে এবং তারপরে আপনার ইন্টারফেসের মাধ্যমে স্পষ্ট সম্মতি দেওয়ার পরে তাদের হয়ে termsOfService.accept মেথড কল করে এটি করতে পারেন।